﻿local _, englishClass = UnitClass("player")
	if (englishClass ~="ROGUE") then
		return
end
function ClassTimer:CreateTimers()
--buffs
	self:AddRule("Buffs","Slice and Dice")
	self:AddRule("Buffs","Find Weakness")
	self:AddRule("Buffs","Cloak of Shadows")
	self:AddRule("Buffs","Evasion")
	self:AddRule("Buffs","Master of Subtlety")
	self:AddRule("Buffs","Blade Flurry")
	self:AddRule("Buffs","Adrenaline Rush")
	self:AddRule("Buffs","Sprint")
	self:AddRule("Buffs","Remorseless", {Alt ="Remorseless Attacks"})
	self:AddRule("Buffs","Shadowstep")
	self:AddRule("Buffs","Ghostly Strike")
	self:AddRule("Buffs","Vanish")
--DOTs 
	self:AddRule("DOTs","Garrote")
	self:AddRule("DOTs","Rupture")
	self:AddRule("DOTs","Expose Armor")
	self:AddRule("DOTs","Riposte")
--poisons
	self:AddRule("Poisons","Deadly Poison")
	self:AddRule("Poisons","Deadly Poison II", {NoVar = true, Alt ="Deadly Poison"})
	self:AddRule("Poisons","Deadly Poison III", {NoVar = true, Alt ="Deadly Poison"})
	self:AddRule("Poisons","Deadly Poison IV", {NoVar = true, Alt ="Deadly Poison"})
	self:AddRule("Poisons","Deadly Poison V", {NoVar = true, Alt ="Deadly Poison"})
	self:AddRule("Poisons","Deadly Poison VI", {NoVar = true, Alt ="Deadly Poison"})
	self:AddRule("Poisons","Deadly Poison VII", {NoVar = true, Alt ="Deadly Poison"})
	self:AddRule("Poisons","Crippling Poison")
	self:AddRule("Poisons","Mind-numbing Poison")
	self:AddRule("Poisons","Mind-numbing Poison II", {NoVar = true, Alt ="Mind-numbing Poison"})
	self:AddRule("Poisons","Mind-numbing Poison III", {NoVar = true, Alt ="Mind-numbing Poison"})
	self:AddRule("Poisons","Wound Poison")
	self:AddRule("Poisons","Wound Poison II", {NoVar = true, Alt ="Wound Poison"})
	self:AddRule("Poisons","Wound Poison III", {NoVar = true, Alt ="Wound Poison"})
	self:AddRule("Poisons","Wound Poison IV", {NoVar = true, Alt ="Wound Poison"})
	self:AddRule("Poisons","Wound Poison V", {NoVar = true, Alt ="Wound Poison"})
--stuns
	self:AddRule("Stuns","Blind")
	self:AddRule("Stuns","Cheap Shot", {dr="CS"})
	self:AddRule("Stuns","Distract")
	self:AddRule("Stuns","Gouge", {dr="Incapitating"})
	self:AddRule("Stuns","Kidney Shot", {dr="KS"})
	self:AddRule("Stuns","Sap", {dr="Incapitating"})
	self:AddRule("Stuns","Blade Twisting")
	self:AddRule("Diminishing returns","PvP")
	self:AddRule("Diminishing returns","PvE")
--trinkets
	self:AddRule("Trinkets","Slayer's Crest")
	self:AddRule("Trinkets","Kiss of the Spider")
	self:AddRule("Trinkets","Jom Gabbar")
	self:AddRule("Trinkets","Badge of the Swarmguard")
	self:AddRule("Trinkets","Venomous Totem")
	self:AddRule("Trinkets","Earthstrike")
	self:AddRule("Trinkets","Arcane Shroud", {Alt ="Fetish of the Sand Reaver"})
	self:AddRule("Trinkets","Restless Strength", {Alt ="Zandalarian Hero Charm"})
end

tinsert(ClassTimer.timers, ClassTimer.Rogue)

function ClassTimer:OnUpdate()
	self:SetupBuffs("player")
	self:SetupDebuffs("focus")
	self:SetupDebuffs("target")
end 

ClassTimer.target = {debuffs = {}}
ClassTimer.focus = {debuffs = {}}
ClassTimer.player = {buffs = {}}